[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# IProviderSupport.PSUpdateRecord

Update a record

## Declaration

Source position: db.pas line 1342

`function IProviderSupport.PSUpdateRecord(`
`UpdateKind: TUpdateKind;`
`Delta: TDataSet`
`):Boolean;`

## Arguments

`UpdateKind` |  | Type of update to perform.
`Delta` |  | Data for the record that must be updated.

## Function result

True if the record was succesfully updated.

## Description

PSUpdateRecord is called before attempting to update the records through generated SQL statements. The update to be performed is passed in UpdateKind parameter. The Delta Dataset's current record contains all data for the record that must be updated.

The function returns True if the update was succesfully applied, False if not. In that case the provider will attempt to update the record using SQL statements if the dataset allows it.

## See also

PSIsSQLSupported
PSExecuteCommand

Documentation generated on: Feb 26 2014